TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DiscreteLog ( elt-grp^ell P, elt-grp^ell Q ) -> elt-ord^rat n

### Description

<shortdoc> Returns, if possible, n satisfying n*P = Q. </shortdoc>

### Examples

EC:= EllipticCurve(5,[1,2]);; P:= Generator(EC)[1];; Q:= RandomPoint(EC);; DiscreteLog(P,Q);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack